Subject: Re: Beginnings of a patch: /etc/hosts
From: Robert Collins <[email-masked]>
To: Randall R Schulz <[email-masked]>
Cc: [email-masked]
Date: 12 Sep 2002 15:39:20 +1000

On Thu, 2002-09-12 at 09:35, Randall R Schulz wrote:
> Rob,
> 
> That rule is only apt if the user knows what external state is used as 
> input to the program they're running. If that input or dependency is made 
> explicit somehow (documentation might suffice), then you're right and it's 
> a matter of user control. However, if the user must examine the program's 
> source code to know why it's not behaving in the manner its authors 
> describe, that's not cool.
> 
> As you may know, I don't subscribe to that "Use the Source, Duke" business. 
> If one must understand the internal workings of a thing just to use it, 
> it's not very good technology. It virtually negates the concept of automation!

I agree completely. My point (which I think you may have missed) is that
buliding the internal workings on the basis that 'someone may override
foo and we must prevent that' is not good technology.

Rob